Skip to content

cancel a payout batch

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

cancel a payout batch

Security
oauth2ClientCredentials(Required scopes: payments:write)
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
refstringrequired

Payout batch reference identifier

Example:"vNEYv0YXJ3Lw-rv-rv-rv"
reasonstringrequired

Required reason for rejecting the payout batch

Example:"Insufficient documentation provided"
curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/payments/payout/cancel \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "ref": "vNEYv0YXJ3Lw-rv-rv-rv",
    "reason": "Insufficient documentation provided"
  }'

Responses

Payout rejected successfully